#ifndef csoundmanager_h
#define csoundmanager_h

#include "OGLPlatformSpecific.h"

#ifdef WINDOWS
#include "C3DSound.h"
#include "CDXAudio.h"
#include "StdAfx.h"
#endif

class cSoundManager
{
public:
    static cSoundManager* instance();
    
    void playExplode();
    void playMoveBlock();
    
private:
    #ifdef WINDOWS
    //sound variables
    CDXAudio Audio;
    C3DSound SoundEffect;
    C3DSound BckgrndMsc;
    C3DSound movement;
    #endif
    
    // singleton constructor does nothing
    cSoundManager(); 
    // singleton instance
    static cSoundManager* instance_; 
};

#endif
